package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.TSSDTaskLogMapper;
import com.sa.ibiz.demo.demo.domain.TSSDTaskLog;
import com.sa.ibiz.demo.demo.service.TSSDTaskLogService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.TSSDTaskLogSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.TSSDTaskService;

/**
 * 实体[TSSDTaskLog] 服务对象接口实现
 */
@Service
public class TSSDTaskLogServiceImpl extends ServiceImplBase<TSSDTaskLogMapper, TSSDTaskLog> implements TSSDTaskLogService{

    @Autowired
    private TSSDTaskService tssdtaskService;

    @Resource
    private TSSDTaskLogMapper tssdtasklogMapper;


    @Override
    public boolean create(TSSDTaskLog et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(TSSDTaskLog et){
        this.beforeUpdate(et);
		this.tssdtasklogMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(TSSDTaskLog et){
		return et.getTssdtasklogid();  
    }

    @Override
    public boolean getDraft(TSSDTaskLog et)  {
    if((!StringUtils.isEmpty(et.getTssdtaskid())) && et.getTssdtask() == null){
            try {
                et.setTssdtask(tssdtaskService.getById(et.getTssdtaskid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<TSSDTaskLog> listDefault(TSSDTaskLogSearchFilter filter) {
		return tssdtasklogMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<TSSDTaskLog> searchDefault(TSSDTaskLogSearchFilter filter) {
		return tssdtasklogMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return tssdtasklogMapper.selectRow(sql);
    }

 }